Get an agent
curl --request GET \
--url https://api.eu.volubile.ai/v1/agents/{id} \
--header 'X-Api-Key: <api-key>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"telephonyConfiguration": {
"sipConnection": {
"did": "2566458"
},
"phoneNumbers": [
"+33612345678",
"+33612345679"
]
},
"name": "<string>",
"active": true,
"recordable": true,
"archived": true,
"configuration": {
"extractors": [
{
"description": "Extract all the information about the customer",
"extractors": [
{
"description": "Customer's first name",
"name": "First name"
},
{
"description": "Customer's last name",
"name": "Last name"
},
{
"description": "Customer's phone number in a valid format (+33)",
"name": "Phone"
},
{
"description": "Customer's email in a valid format",
"name": "Email"
},
{
"description": "Customer address information",
"name": "Address",
"extractors": [
{
"description": "Street address of the customer, including house number and street name",
"name": "Street"
},
{
"description": "Postal code of the customer's address",
"name": "Postal code"
},
{
"description": "City or locality where the customer resides",
"name": "City"
}
]
}
],
"name": "Customer information"
}
],
"classifiers": [
{
"description": "What was the reason for the call",
"name": "Classification of the call",
"values": [
"Support",
"Sales",
"Billing",
"Technical issue"
]
}
]
}
}Agents
Get an agent
GET
/
v1
/
agents
/
{id}
Get an agent
curl --request GET \
--url https://api.eu.volubile.ai/v1/agents/{id} \
--header 'X-Api-Key: <api-key>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"telephonyConfiguration": {
"sipConnection": {
"did": "2566458"
},
"phoneNumbers": [
"+33612345678",
"+33612345679"
]
},
"name": "<string>",
"active": true,
"recordable": true,
"archived": true,
"configuration": {
"extractors": [
{
"description": "Extract all the information about the customer",
"extractors": [
{
"description": "Customer's first name",
"name": "First name"
},
{
"description": "Customer's last name",
"name": "Last name"
},
{
"description": "Customer's phone number in a valid format (+33)",
"name": "Phone"
},
{
"description": "Customer's email in a valid format",
"name": "Email"
},
{
"description": "Customer address information",
"name": "Address",
"extractors": [
{
"description": "Street address of the customer, including house number and street name",
"name": "Street"
},
{
"description": "Postal code of the customer's address",
"name": "Postal code"
},
{
"description": "City or locality where the customer resides",
"name": "City"
}
]
}
],
"name": "Customer information"
}
],
"classifiers": [
{
"description": "What was the reason for the call",
"name": "Classification of the call",
"values": [
"Support",
"Sales",
"Billing",
"Technical issue"
]
}
]
}
}Authorizations
Api keyBearer token
Your API key.
Path Parameters
Unique identifier of the agent
Response
OK
Unique identifier of the agent
Telephony configuration of the agent containing phone numbers and SIP connections
Show child attributes
Show child attributes
Name of the agent
Type of the agent
Available options:
INBOUND, OUTBOUND If the agent is active
If the agent record calls
If the agent is archived
Configuration of the agent
Show child attributes
Show child attributes
⌘I